Walletguide
DevelopersAPIReferencetransactions

Delete transaction

Split children and comments are deleted with it (app-level cascade).

DELETE
/wallets/{walletId}/transactions/{id}

Authorization

bearerAuth
headerAuthorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

Path Parameters

walletId*string

Row uuid

Formatuuid
id*string

Row uuid

Formatuuid

Response Body

The deleted transaction

application/json
  1. response
id*string
Formatuuid
walletId*string
Formatuuid
firestoreId*string|null
assetId*string
Formatuuid
date*string
secondaryDate*string|null
fromTo*string|null
description*string|null
amountValue*string
amountCurrency*string
Value in"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"
categoryId*|
Formatuuid
merchantId*|
Formatuuid
merchantAutoAssigned*boolean|null
merchantCheckedGoogleMaps*boolean|null
merchantCheckedSearchApiGoogleWebSearch*boolean|null
excludeFromMerchantAutoAssignment*boolean
usingDateRule*|
Value in"transactionDate""transactionMonth""monthAfterTransactionDate""monthBeforeTransactionDate""yearBeforeTransactionDate""oneMonthFromTransactionDate""oneYearFromTransactionDate""sixMonthsFromTransactionDate""custom"null
usingStartDate*string|null
usingEndDate*string|null
notes*string|null
parentTransactionId*|
Formatuuid
parent*boolean
source*string|null
assignedUserId*string|null
transferCounterType*|
Value in"transaction""asset""securityTransaction""cryptoTransaction"null
transferCounterId*|
Formatuuid
gocardlessTransactionId*string|null
gocardlessInternalTransactionId*string|null
finApiTransactionId*string|null
plaidTransactionId*string|null
klarnaTransactionId*string|null
tagIds*array<>
pending*boolean
reviewed*boolean
createdTime*|
Formatdate-time
createdUserId*string|null
lastUpdatedTime*|
Formatdate-time
lastUpdatedUserId*string|null
Example Request
curl -X DELETE 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",  "firestoreId": "string",  "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",  "date": "string",  "secondaryDate": "string",  "fromTo": "string",  "description": "string",  "amountValue": "string",  "amountCurrency": "EUR",  "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0",  "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b",  "merchantAutoAssigned": true,  "merchantCheckedGoogleMaps": true,  "merchantCheckedSearchApiGoogleWebSearch": true,  "excludeFromMerchantAutoAssignment": true,  "usingDateRule": "transactionDate",  "usingStartDate": "string",  "usingEndDate": "string",  "notes": "string",  "parentTransactionId": "f8033cf6-befa-47f4-a48a-b915b8c72a71",  "parent": true,  "source": "string",  "assignedUserId": "string",  "transferCounterType": "transaction",  "transferCounterId": "bfd53a44-3603-4023-978c-daf5f740c5fd",  "gocardlessTransactionId": "string",  "gocardlessInternalTransactionId": "string",  "finApiTransactionId": "string",  "plaidTransactionId": "string",  "klarnaTransactionId": "string",  "tagIds": [    "9c99701b-f191-4642-8bc0-e04053f29131"  ],  "pending": true,  "reviewed": true,  "createdTime": "2019-08-24T14:15:22Z",  "createdUserId": "string",  "lastUpdatedTime": "2019-08-24T14:15:22Z",  "lastUpdatedUserId": "string"}